local iniParser = {}
--[[----------------------------------------------------------------------------
Class to parse INI files

Author: Frikkie Jansen van Rensburg
Email: frikkie@kses.net

Date: March 2017

DEPS: inifile
----------------------------------------------------------------------------]]--
local inifile = require("inifile")

local ct = {}
-- Module functions
function iniParser.parse(file)
  ct = {}
  --print(string.format("Parsing INI file %s\n",file))
  ct = inifile.parse(file)
  return ct
end

--might need to add some error checking here
function iniParser.write(file, t)
  --print(string.format("Writing INI file %s\n",file))
  inifile.save(file,t)
  return true
end

return iniParser
